#include <bits/stdc++.h>
using namespace std;
int N,K,A[20005];
int main(){
  cin>>N>>K;
  for(int i = 1;i<=N;i++){
    cin>>A[i];
  }

  if(K==A[N]){
    cout<<A[1];
  }
  else {
      for(int i = 1;i<=N;i++){
        if(A[i]==K){
          cout<<A[i+1];
        }
      }
  }
  return 0;
}